/**
 * ScandiPWA - Progressive Web App for Magento
 *
 * Copyright © Scandiweb, Inc. All rights reserved.
 * See LICENSE for license details.
 *
 * @license OSL-3.0 (Open Software License ("OSL") v. 3.0)
 * @package scandipwa/base-theme
 * @link https://github.com/scandipwa/base-theme
 */

.SliderWidget {
    cursor: pointer;

    &-Figcaption {
        width: 100%;
        position: absolute;
        top: 50%;
        left: 0;
        transform: translateY(-50%);
    }

    &-FigureImage {
        display: block;
        padding-bottom: 40%;

        @include mobile {
            padding-bottom: 100%;
        }

        img {
            object-fit: cover;

            @include mobile {
                object-position: center;
            }
        }
    }
}
